/*
 * SPCA500 chip based cameras initialization data
 *
 */
#ifndef SPCA500_INIT_H
#define SPCA500_INIT_H

#if 0
static __u16 spca500_read_stats[][3] = {
  { 0x0c, 0x0000, 0x0000 },
  { 0x30, 0x03fd, 0x0001 },
  /* possible values for following call: 0x01b3, 0x01e6, 0x01f7, 0x0218 */
  { 0x30, 0x01b3, 0x0002 },
  /* possible values for following call: 0x0000, 0x0001, 0x0002 */
  { 0x30, 0x0000, 0x0003 },
  { 0x30, 0x003b, 0x0004 },
  /* possible values for following call: 0x00aa, 0x00e0 */
  { 0x30, 0x00e0, 0x0005 },
  { 0x30, 0x0001, 0x0006 },
  { 0x30, 0x0080, 0x0007 },
  { 0x30, 0x0004, 0x0000 },
  { 0,0,0 }
};
#endif

static __u16 spca500_visual_defaults[][3] = {
  { 0x00, 0x0003, 0x816b }, /* SSI not active sync with vsync,
                             * hue (H byte) = 0,
                             * saturation/hue enable,
                             * brightness/contrast enable.
                             */
  { 0x00, 0x0000, 0x8167 }, /* brightness = 0 */
  { 0x00, 0x0020, 0x8168 }, /* contrast = 0 */
  { 0x00, 0x0003, 0x816b }, /* SSI not active sync with vsync,
                             * hue (H byte) = 0, saturation/hue enable,
                             * brightness/contrast enable.
                             * was 0x0003, now 0x0000.
                             */
  { 0x00, 0x0000, 0x816a }, /* hue (L byte) = 0 */
  { 0x00, 0x0020, 0x8169 }, /* saturation = 0x20 */
  { 0x00, 0x0050, 0x8157 }, /* edge gain high threshold */
  { 0x00, 0x0030, 0x8158 }, /* edge gain low threshold */
  { 0x00, 0x0028, 0x8159 }, /* edge bandwidth high threshold */
  { 0x00, 0x000a, 0x815a }, /* edge bandwidth low threshold */
  { 0x00, 0x0001, 0x8202 }, /* clock rate compensation = 1/25 sec/frame */
  { 0x0c, 0x0004, 0x0000 },
  /* set interface */

  { 0,0,0 }
};

#endif /* SPCA500_INIT_H */
